EchoedRow (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class EchoedRow

    java.lang.Object
      org.apache.cassandra.db.compaction.AbstractCompactedRow
          org.apache.cassandra.db.EchoedRow

    public class EchoedRow

extends AbstractCompactedRow

A CompactedRow implementation that just echos the original row bytes without deserializing. Currently only used by cleanup.

Field Summary

Fields inherited from class org.apache.cassandra.db.compaction.AbstractCompactedRow
`key`

Constructor Summary
`EchoedRow(SSTableIdentityIterator row)`

Method Summary
`int` | `columnCount()`
`boolean` | `isEmpty()`
`long` | `maxTimestamp()`
`void` | `update(java.security.MessageDigest digest)` update @param digest with the data bytes of the row (not including row key or row size).
`long` | `write(java.io.DataOutput out)` write the row (size + column index + filter + column data, but NOT row key) to @param out.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EchoedRow

    public EchoedRow(SSTableIdentityIterator row)

Method Detail

### write

    public long write(java.io.DataOutput out)
               throws java.io.IOException

  Description copied from class: `AbstractCompactedRow`
  write the row (size + column index + filter + column data, but NOT row key) to @param out. It is an error to call this if isEmpty is false. (Because the key is appended first, so we'd have an incomplete row written.) write() may change internal state; it is NOT valid to call write() or update() a second time.

  Specified by:
    `write` in class `AbstractCompactedRow`
  Throws:
    `java.io.IOException`

### update

    public void update(java.security.MessageDigest digest)

  Description copied from class: `AbstractCompactedRow`
  update @param digest with the data bytes of the row (not including row key or row size). May be called even if empty. update() may change internal state; it is NOT valid to call write() or update() a second time.

  Specified by:
    `update` in class `AbstractCompactedRow`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in class `AbstractCompactedRow`
  Returns:
    true if there are no columns in the row AND there are no row-level tombstones to be preserved

### columnCount

    public int columnCount()

  Specified by:
    `columnCount` in class `AbstractCompactedRow`
  Returns:
    the number of columns in the row

### maxTimestamp

    public long maxTimestamp()

  Specified by:
    `maxTimestamp` in class `AbstractCompactedRow`
  Returns:
    the max column timestamp in the row or Long.MIN_VALUE if computing this value would require extra effort we're not willing to make.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation